Bug 204433 - [NEW PORT] graphics/py-traitsui: Toolkit-independent GUI abstraction layer for the Traits package
Summary: [NEW PORT] graphics/py-traitsui: Toolkit-independent GUI abstraction layer fo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://reviews.freebsd.org/D4181
Keywords: patch, patch-ready
Depends on: 204431
Blocks: 204435
  Show dependency treegraph
 
Reported: 2015-11-10 16:43 UTC by vladimir.chukharev
Modified: 2016-08-04 18:25 UTC (History)
5 users (show)

See Also:
vladimir.chukharev: maintainer-feedback+


Attachments
Shar file of the port (1.97 KB, text/plain)
2015-11-10 16:43 UTC, vladimir.chukharev
no flags Details
Logs of a build in poudriere (128.55 KB, text/plain)
2015-11-10 16:46 UTC, vladimir.chukharev
no flags Details
New shar file with complete license info (2.12 KB, text/plain)
2016-03-11 23:00 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details
Resuls of QA tests for new shar (470.77 KB, text/plain)
2016-03-11 23:02 UTC, vladimir.chukharev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2015-11-10 16:43:48 UTC
Created attachment 162970 [details]
Shar file of the port

Toolkit-independent GUI abstraction layer for the Traits package. This port and 3 others are needed for graphics/py-mayavi.
Comment 1 vladimir.chukharev 2015-11-10 16:46:58 UTC
Created attachment 162972 [details]
Logs of a build in poudriere
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-11 03:48:03 UTC
@Vladimir, it might be worth putting all of the Mavayi+Dependency changes into a single review in reviews.freebsd.org so that they can all be reviewed together and updated at once to save you time. I can see common QA/review items between them all, so its worth doing instead of duplicating work here
Comment 3 vladimir.chukharev 2015-11-12 08:27:28 UTC
@Kubilay, I will make a review in reviews.freebsd.org. Thanks for mentioning it, I did not know this system exists. I will also try to address the things you noted in your comment to bug 204435.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-12 08:39:32 UTC
@Vladimir you're welcome, and don't forget to add me to the review :)
Comment 5 vladimir.chukharev 2015-12-05 10:26:04 UTC
Please see dicussions on https://reviews.freebsd.org/D4181
Comment 6 vladimir.chukharev 2016-03-11 23:00:24 UTC
Created attachment 168027 [details]
New shar file with complete license info

Update the shar file with the port, now with all license information.
Comment 7 vladimir.chukharev 2016-03-11 23:02:19 UTC
Created attachment 168028 [details]
Resuls of QA tests for new shar
Comment 8 Martin Wilke freebsd_committer 2016-03-14 02:30:14 UTC
back to pool
Comment 9 vladimir.chukharev 2016-03-30 13:11:04 UTC
All known issues are addressed by now.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-04 11:11:36 UTC
Should have been reassigned to the open pool (not just python@)
Comment 11 Kurt Jaeger freebsd_committer 2016-08-04 18:04:08 UTC
testbuilds@work
Comment 12 Kurt Jaeger freebsd_committer 2016-08-04 18:25:07 UTC
testbuilds of 5.1 are all fine, committed, thanks!
Comment 13 commit-hook freebsd_committer 2016-08-04 18:25:53 UTC
A commit references this bug:

Author: pi
Date: Thu Aug  4 18:25:05 UTC 2016
New revision: 419645
URL: https://svnweb.freebsd.org/changeset/ports/419645

Log:
  New port: graphics/py-traitsui

  The traitsui project contains a toolkit-independent GUI abstraction
  layer, which is used to support the "visualization" features of the
  Traits package. Thus, you can write code in terms of the Traits
  API (views, items, editors, etc.), and let traitsui and your selected
  toolkit and back-end take care of the details of displaying them.

  The following GUI backends are supported:
   * wxPython
   * PyQt
   * PySide

  WWW: https://docs.enthought.com/traitsui

  PR:		204433
  Submitted by:	Vladimir Chukharev <vladimir.chukharev@gmail.com>

Changes:
  head/graphics/Makefile
  head/graphics/py-traitsui/
  head/graphics/py-traitsui/Makefile
  head/graphics/py-traitsui/distinfo
  head/graphics/py-traitsui/pkg-descr